#
# params.pp
#

class wmdeit_backup::params {

	case $::osfamily {
	'FreeBSD':{
		$borg_packages = [
			"py37-borgbackup",
			"fusefs-sshfs",
		]

		$sshfs_cmd = '/usr/local/bin/sshfs'
		$sshfs_options = '-o direct_io' # buggy sshfs driver under freebsd
		$borg_cmd = "/usr/local/bin/borg"
	}
	'Debian': {
		$borg_packages = [
			"borgbackup",
			"sshfs",
		]
		$borg_cmd = "/usr/bin/borg"
		$sshfs_cmd = '/usr/bin/sshfs'

	}

	default: {

	}}

	$borg_repos = "/tank/backups"
	$borg_scripts = "/root/borg"
	$borg_mnt = "/mnt"
}



